| Kea 3.0.2-git

isc::d2::D2ParseError Class Reference

Evaluation error exception raised when trying to parse. More...

`#include <parser_context.h>`

Inheritance diagram for isc::d2::D2ParseError:
[legend]

## Public Member Functions
| D2ParseError (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::Exception
virtual const char * | what () const throw ()
| Returns a C-style character string of the cause of the exception.
virtual const char * | what (bool verbose) const throw ()
| Returns a C-style character string of the cause of exception.
const std::string & | getMessage () const
| Gets a string describing the cause of the exception.
const char * | getFile () const
| Gets the file name where the exception was thrown.
size_t | getLine () const
| Gets the line number of the file where the exception was thrown.
| Exception (const char *file, size_t line, const char *what)
| Constructor for a given type for exceptions with file name and file line number.
| Exception (const char *file, size_t line, const std::string &what)
| Constructor for a given type for exceptions with file name and file line number.
virtual | ~Exception () throw ()
| The destructor.

## Detailed Description

Evaluation error exception raised when trying to parse.

Todo
  : This probably should be common for Dhcp4 and Dhcp6.

Definition at line 28 of file d2/parser_context.h.

## Constructor & Destructor Documentation

## ◆ D2ParseError()

isc::d2::D2ParseError::D2ParseError | ( | const char * | file,
|  | size_t | line,
|  | const char * | what )
| inline

Definition at line 30 of file d2/parser_context.h.

References isc::Exception::Exception(), and isc::Exception::what().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- d2/parser_context.h